summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2018-07-07 11:42:03 +0100
committerV3n3RiX <venerix@redcorelinux.org>2018-07-07 11:42:03 +0100
commitf70601e0934acd62f6c5d06c5ede4cc607179514 (patch)
tree0b337390375de04b950fc4b45edc0f895a4701a4 /eclass
parentb2be182d49eea46686b5cf2680d457df61e89dc4 (diff)
gentoo resync : 07.07.2018
Diffstat (limited to 'eclass')
-rw-r--r--eclass/Manifest.gzbin38384 -> 38380 bytes
-rw-r--r--eclass/kde5-functions.eclass3
-rw-r--r--eclass/kde5.eclass12
-rw-r--r--eclass/toolchain.eclass10
4 files changed, 14 insertions, 11 deletions
diff --git a/eclass/Manifest.gz b/eclass/Manifest.gz
index 5e98e3bb62f1..0e9aa91d31f7 100644
--- a/eclass/Manifest.gz
+++ b/eclass/Manifest.gz
Binary files differ
diff --git a/eclass/kde5-functions.eclass b/eclass/kde5-functions.eclass
index 89fa32146ae1..34aed6cf284e 100644
--- a/eclass/kde5-functions.eclass
+++ b/eclass/kde5-functions.eclass
@@ -37,13 +37,14 @@ case ${CATEGORY} in
[[ ${KDE_BUILD_TYPE} = live ]] && : ${FRAMEWORKS_MINIMAL:=9999}
;;
kde-plasma)
+ [[ ${PV} = 5.13* ]] && : ${QT_MINIMAL:=5.11.1}
if [[ ${PV} = 5.12.5* ]]; then
: ${FRAMEWORKS_MINIMAL:=5.43.0}
: ${QT_MINIMAL:=5.9.1}
fi
if [[ ${KDE_BUILD_TYPE} = live && ${PV} != 5.12* ]]; then
: ${FRAMEWORKS_MINIMAL:=9999}
- : ${QT_MINIMAL:=5.10.1}
+ : ${QT_MINIMAL:=5.11.1}
fi
;;
kde-apps)
diff --git a/eclass/kde5.eclass b/eclass/kde5.eclass
index b1a8b064b9bb..d674611dc711 100644
--- a/eclass/kde5.eclass
+++ b/eclass/kde5.eclass
@@ -506,12 +506,12 @@ kde5_src_prepare() {
cmake-utils_src_prepare
# only build examples when required
- if ! use_if_iuse examples || ! use examples ; then
+ if ! { in_iuse examples && use examples; } ; then
cmake_comment_add_subdirectory examples
fi
# only enable handbook when required
- if ! use_if_iuse handbook ; then
+ if in_iuse handbook && ! use handbook ; then
cmake_comment_add_subdirectory ${KDE_DOC_DIR}
if [[ ${KDE_HANDBOOK} = forceoptional ]] ; then
@@ -571,7 +571,7 @@ kde5_src_prepare() {
fi
# only build unit tests when required
- if ! use_if_iuse test ; then
+ if ! { in_iuse test && use test; } ; then
if [[ ${KDE_TEST} = forceoptional ]] ; then
punt_bogus_dep Qt5 Test
# if forceoptional, also cover non-kde categories
@@ -615,7 +615,7 @@ kde5_src_configure() {
debug-print-function ${FUNCNAME} "$@"
# we rely on cmake-utils.eclass to append -DNDEBUG too
- if ! use_if_iuse debug; then
+ if in_iuse debug && ! use debug; then
append-cppflags -DQT_NO_DEBUG
fi
@@ -629,11 +629,11 @@ kde5_src_configure() {
fi
fi
- if ! use_if_iuse handbook && [[ ${KDE_HANDBOOK} = optional ]] ; then
+ if in_iuse handbook && ! use handbook && [[ ${KDE_HANDBOOK} = optional ]] ; then
cmakeargs+=( -DCMAKE_DISABLE_FIND_PACKAGE_KF5DocTools=ON )
fi
- if ! use_if_iuse designer && [[ ${KDE_DESIGNERPLUGIN} != false ]] ; then
+ if in_iuse designer && ! use designer && [[ ${KDE_DESIGNERPLUGIN} != false ]] ; then
cmakeargs+=( -DCMAKE_DISABLE_FIND_PACKAGE_KF5DesignerPlugin=ON )
fi
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index 68e4ce15b377..d80889d1ba64 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1175,10 +1175,12 @@ toolchain_src_configure() {
### library options
- if ! is_gcj ; then
- confgcc+=( --disable-libgcj )
- elif use awt ; then
- confgcc+=( --enable-java-awt=gtk )
+ if tc_version_is_between 3.0 7.0 ; then
+ if ! is_gcj ; then
+ confgcc+=( --disable-libgcj )
+ elif use awt ; then
+ confgcc+=( --enable-java-awt=gtk )
+ fi
fi
if tc_version_is_at_least 4.2 ; then